Viji
@Viji
Junior DevOps Engineer

Как проверить поддерживает ли данная версия Кубернетеса версию api для обьекта pod?

Привет всем,

в yaml манифесте есть строка,

apiVersion: apps/v1beta1
kind: Deployment


есть какая-то команда будет ли api иметь обратную совместимость с текущей версией куба без запуска манифеста?

kubectl explain deployment | grep -e "VERSION:" выдает совсем другую версию (extensions/v1beta1) , но тем не менее kubectl apply -f manifest.yaml отлично работает

всем добра,
Вадим
  • Вопрос задан
  • 28 просмотров
Решения вопроса 1
Inlore
@Inlore
Лучше всего смотреть API Reference
https://kubernetes.io/docs/reference/generated/kub...
https://kubernetes.io/docs/reference/generated/kub...

5f8206fdd5601559361397.png

В Release Notes видно, что в 1.18 оставили только apps/v1 для Deployment
https://v1-18.docs.kubernetes.io/docs/setup/releas...
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
deeplay Новосибирск
До 180 000 ₽
ToBe Москва
от 250 000 до 300 000 ₽
Kodix Москва
от 160 000 до 210 000 ₽
26 окт. 2020, в 03:15
100000 руб./за проект
26 окт. 2020, в 02:20
25000 руб./за проект
26 окт. 2020, в 01:56
3500 руб./за проект